%define anolis_release 2
Name:           libspiro
Version:        20221101
Release: %{anolis_release}%{dist}
Summary:        Library to simplify the drawing of beautiful curves

# The files that are used to compile this library are all in GPLv3+
# https://github.com/fontforge/libspiro/issues/8
License:        GPLv3+
URL:            https://github.com/fontforge/libspiro/
# Let's use libspiro-dist tarball from upstream as it does not require autoreconf
Source0:        https://github.com/fontforge/libspiro/releases/download/%{version}/libspiro-dist-%{version}.tar.gz
BuildRequires:  gcc
BuildRequires: make

%description
This library will take an array of spiro control points and 
convert them into a series of bézier splines which can then 
be used in the myriad of ways the world has come to use béziers. 

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -n libspiro-%{version}

%build
%configure --disable-static
%{make_build}

%install
%{make_install}
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

%generate_compatibility_deps

%check
make check

%files
%license COPYING
%{_libdir}/*.so.*

%dir %{abidir}
%{abidir}/*.dump

%files devel
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/libspiro.pc
%{_mandir}/man3/libspiro.3.zst

%files doc
%doc INSTALL ChangeLog README.md AUTHORS

%changelog
* Thu Nov 14 2024 Wenlong Zhang <zhangwenlong@loongson.cn> - 20221101-2
- generate_compatibility_deps should not in check stage

* Mon Mar 27 2023 Zhongling He <zhonglingh@linux.alibaba.com> - 20221101-1
- Init package from upstream
